> ## Documentation Index
> Fetch the complete documentation index at: https://getmonitor.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Status Page Update



## OpenAPI

````yaml POST /api/v1/status-pages/{statusPageId}/updates
openapi: 3.0.0
info:
  title: GetMonitor API
  description: Status Pages bounded context
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmonitor.io
security: []
tags: []
paths:
  /api/v1/status-pages/{statusPageId}/updates:
    post:
      tags:
        - status-pages
      summary: Create a status page update
      operationId: ManagementStatusPageUpdateItemController_create_v1
      parameters:
        - name: statusPageId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateStatusPageUpdateDto'
      responses:
        '201':
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    CreateStatusPageUpdateDto:
      type: object
      properties:
        title:
          type: string
        body:
          type: string
        state:
          type: string
          enum:
            - draft
            - published
        updateType:
          type: string
          enum:
            - incident
            - maintenance
            - informational
        impact:
          type: string
          enum:
            - none
            - minor
            - major
            - critical
        components:
          type: array
          items:
            type: object
            properties:
              monitorId:
                type: string
              staticComponentId:
                type: string
              status:
                type: string
                enum:
                  - operational
                  - degraded
                  - partial_outage
                  - major_outage
            required:
              - status
      required:
        - title
        - body
        - state
        - updateType
        - impact
  securitySchemes:
    apiKey:
      scheme: bearer
      type: http
      description: >-
        Organization API key, prefixed with `gm_api_`. Send it as
        `Authorization: Bearer <api_key>`.

````